--- a/tests/test-mq Tue Mar 16 17:39:12 2010 +0100
+++ b/tests/test-mq Mon Mar 15 20:52:22 2010 +0100
@@ -86,6 +86,11 @@
hg init --mq
cd ..
+echo '% init --mq with repo path'
+hg init g
+hg init --mq g
+test -d g/.hg/patches/.hg && echo "ok" || echo "failed"
+
echo '% init --mq with nonexistent directory'
hg init --mq nonexistentdir
--- a/tests/test-mq.out Tue Mar 16 17:39:12 2010 +0100
+++ b/tests/test-mq.out Mon Mar 15 20:52:22 2010 +0100
@@ -91,6 +91,8 @@
B
% init --mq without repo
abort: There is no Mercurial repository here (.hg not found)
+% init --mq with repo path
+ok
% init --mq with nonexistent directory
abort: repository nonexistentdir not found!
% init --mq with bundle (non "local")